io.etcd.jetcd.api

## Interface TxnRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  TxnRequest, TxnRequest.Builder

    public interface TxnRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Compare` `getCompare(int index)` compare is a list of predicates representing a conjunction of terms.
`int` `getCompareCount()` compare is a list of predicates representing a conjunction of terms.
`List<Compare>` `getCompareList()` compare is a list of predicates representing a conjunction of terms.
`CompareOrBuilder` `getCompareOrBuilder(int index)` compare is a list of predicates representing a conjunction of terms.
`List<? extends CompareOrBuilder>` `getCompareOrBuilderList()` compare is a list of predicates representing a conjunction of terms.
`RequestOp` `getFailure(int index)` failure is a list of requests which will be applied when compare evaluates to false.
`int` `getFailureCount()` failure is a list of requests which will be applied when compare evaluates to false.
`List<RequestOp>` `getFailureList()` failure is a list of requests which will be applied when compare evaluates to false.
`RequestOpOrBuilder` `getFailureOrBuilder(int index)` failure is a list of requests which will be applied when compare evaluates to false.
`List<? extends RequestOpOrBuilder>` `getFailureOrBuilderList()` failure is a list of requests which will be applied when compare evaluates to false.
`RequestOp` `getSuccess(int index)` success is a list of requests which will be applied when compare evaluates to true.
`int` `getSuccessCount()` success is a list of requests which will be applied when compare evaluates to true.
`List<RequestOp>` `getSuccessList()` success is a list of requests which will be applied when compare evaluates to true.
`RequestOpOrBuilder` `getSuccessOrBuilder(int index)` success is a list of requests which will be applied when compare evaluates to true.
`List<? extends RequestOpOrBuilder>` `getSuccessOrBuilderList()` success is a list of requests which will be applied when compare evaluates to true.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getCompareList

    List<Compare> getCompareList()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

#### getCompare

    Compare getCompare(int index)

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

#### getCompareCount

    int getCompareCount()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

#### getCompareOrBuilderList

    List<? extends CompareOrBuilder> getCompareOrBuilderList()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

#### getCompareOrBuilder

    CompareOrBuilder getCompareOrBuilder(int index)

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

#### getSuccessList

    List<RequestOp> getSuccessList()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

#### getSuccess

    RequestOp getSuccess(int index)

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

#### getSuccessCount

    int getSuccessCount()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

#### getSuccessOrBuilderList

    List<? extends RequestOpOrBuilder> getSuccessOrBuilderList()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

#### getSuccessOrBuilder

    RequestOpOrBuilder getSuccessOrBuilder(int index)

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

#### getFailureList

    List<RequestOp> getFailureList()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

#### getFailure

    RequestOp getFailure(int index)

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

#### getFailureCount

    int getFailureCount()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

#### getFailureOrBuilderList

    List<? extends RequestOpOrBuilder> getFailureOrBuilderList()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

#### getFailureOrBuilder

    RequestOpOrBuilder getFailureOrBuilder(int index)

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`